#include "compo.h"

#include "define.h"

	struct BUTTON {
		int numero;		//1-boton 2-luzRoja 3-luzVerde 4-entradas 5-TEXTO 6-zonas
		char *nombre;
		char estado;
		int x;
		int y;
		int w;
		int h;
	};
 

	struct  BUTTON nboton[MAXBOTONES];
	struct  BUTTON nluz[MAXLUCES];
	struct  BUTTON nentrada[MAXENTRADAS];
	struct  BUTTON ntexto[MAXTEXTOS];
	struct  BUTTON nzona[MAXZONAS];


void Inizonas()
{
	nzona[0].numero=-1;
	nzona[0].nombre="0 ";
	nzona[0].x=13;
	nzona[0].y=1;
	nzona[0].w=183;
	nzona[0].h=136;	
	
}

void Initextos()
{
	ntexto[0].numero=5;
	ntexto[0].nombre="FRECUENCY";
	ntexto[0].x=40;
	ntexto[0].y=70;
	ntexto[0].w=89;
	ntexto[0].h=25;	

	ntexto[1].numero=5;
	ntexto[1].nombre="Signal";
	ntexto[1].x=40;
	ntexto[1].y=137;
	ntexto[1].w=89;
	ntexto[1].h=25;	
	
	ntexto[2].numero=-1;	
} 

void Inibotones()
{
    nboton[0].numero=1;
	nboton[0].nombre="EXIT";
	nboton[0].x=24;
	nboton[0].y=346;
	nboton[0].w=90;
	nboton[0].h=32;

	nboton[1].numero=1;
	nboton[1].nombre=">";
	nboton[1].x=120;
	nboton[1].y=208;
	nboton[1].w=90;
	nboton[1].h=25;
	
	nboton[2].numero=1;
	nboton[2].nombre="<";
	nboton[2].x=24;
	nboton[2].y=208;
	nboton[2].w=90;
	nboton[2].h=25;
	
	nboton[3].numero=1;
	nboton[3].nombre="|<";
	nboton[3].x=24;
	nboton[3].y=240;
	nboton[3].w=90;
	nboton[3].h=25;
	
	nboton[4].numero=1;
	nboton[4].nombre=">|";
	nboton[4].x=120;
	nboton[4].y=240;
	nboton[4].w=90;
	nboton[4].h=25;

	nboton[5].numero=1;
	nboton[5].nombre="MUTE";
	nboton[5].x=24;
	nboton[5].y=280;
	nboton[5].w=90;
	nboton[5].h=25;
	
	nboton[6].numero=1;
	nboton[6].nombre="M1";
	nboton[6].x=232;
	nboton[6].y=96;
	nboton[6].w=90;
	nboton[6].h=25;
	
	nboton[7].numero=1;
	nboton[7].nombre="M2";
	nboton[7].x=232;
	nboton[7].y=152;
	nboton[7].w=90;
	nboton[7].h=25;
	
	nboton[8].numero=1;
	nboton[8].nombre="M3";
	nboton[8].x=232;
	nboton[8].y=208;
	nboton[8].w=90;
	nboton[8].h=25;
	
	nboton[9].numero=1;
	nboton[9].nombre="M4";
	nboton[9].x=232;
	nboton[9].y=264;
	nboton[9].w=90;
	nboton[9].h=25;
	
	nboton[10].numero=1;
	nboton[10].nombre="M5";
	nboton[10].x=232;
	nboton[10].y=320;
	nboton[10].w=90;
	nboton[10].h=25;
	
	nboton[11].numero=1;
	nboton[11].nombre="M6";
	nboton[11].x=324;
	nboton[11].y=96;
	nboton[11].w=90;
	nboton[11].h=25;
	
	nboton[12].numero=1;
	nboton[12].nombre="M7";
	nboton[12].x=324;
	nboton[12].y=152;
	nboton[12].w=90;
	nboton[12].h=25;
	
	nboton[13].numero=1;
	nboton[13].nombre="M8";
	nboton[13].x=324;
	nboton[13].y=208;
	nboton[13].w=90;
	nboton[13].h=25;
	
	nboton[14].numero=1;
	nboton[14].nombre="M9";
	nboton[14].x=324;
	nboton[14].y=264;
	nboton[14].w=90;
	nboton[14].h=25;
	
	nboton[15].numero=1;
	nboton[15].nombre="M10";
	nboton[15].x=324;
	nboton[15].y=320;
	nboton[15].w=90;
	nboton[15].h=25;
	
	nboton[16].numero=1;
	nboton[16].nombre="MEMORY";
	nboton[16].x=120;
	nboton[16].y=280;
	nboton[16].w=90;
	nboton[16].h=25;

	nboton[17].numero=-1;
	

}


void IniLuces()
{
	nluz[0].numero=3;
	nluz[0].nombre="Stereo";
	nluz[0].estado=0;
	nluz[0].x=32;
	nluz[0].y=176;
	nluz[0].w=89;
	nluz[0].h=25;

	nluz[1].numero=3;
	nluz[1].nombre="";
	nluz[1].estado=0;
	nluz[1].x=120;
	nluz[1].y=305;
	nluz[1].w=89;
	nluz[1].h=25;
	
	nluz[2].numero=2;
	nluz[2].nombre="";
	nluz[2].estado=0;
	nluz[2].x=24;
	nluz[2].y=305;
	nluz[2].w=89;
	nluz[2].h=25;
	
	nluz[3].numero=-1;
	
}	




void Inientradas()
{
	nentrada[0].numero=4;
	nentrada[0].nombre="0";
	nentrada[0].estado=4;
	nentrada[0].x=56;
	nentrada[0].y=96;
	nentrada[0].w=80;
	nentrada[0].h=25;

	nentrada[1].numero=4;
	nentrada[1].nombre="1";
	nentrada[1].estado=4;
	nentrada[1].x=236;
	nentrada[1].y=122;
	nentrada[1].w=80;
	nentrada[1].h=25;

	nentrada[2].numero=4;
	nentrada[2].nombre="2";
	nentrada[2].estado=4;
	nentrada[2].x=236;
	nentrada[2].y=178;
	nentrada[2].w=80;
	nentrada[2].h=25;
	
	nentrada[3].numero=4;
	nentrada[3].nombre="3";
	nentrada[3].x=236;
	nentrada[3].y=234;
	nentrada[3].w=80;
	nentrada[3].h=25;

	nentrada[4].numero=4;
	nentrada[4].nombre="4";
	nentrada[4].x=236;
	nentrada[4].y=290;
	nentrada[4].w=80;
	nentrada[4].h=25;

	nentrada[5].numero=4;
	nentrada[5].nombre="5";
	nentrada[5].x=236;
	nentrada[5].y=346;
	nentrada[5].w=80;
	nentrada[5].h=25;

	nentrada[6].numero=4;
	nentrada[6].nombre="6";
	nentrada[6].x=328;
	nentrada[6].y=122;
	nentrada[6].w=80;
	nentrada[6].h=25;

	nentrada[7].numero=4;
	nentrada[7].nombre="7";
	nentrada[7].x=328;
	nentrada[7].y=178;
	nentrada[7].w=80;
	nentrada[7].h=25;
	
	nentrada[8].numero=4;
	nentrada[8].nombre="8";
	nentrada[8].x=328;
	nentrada[8].y=234;
	nentrada[8].w=80;
	nentrada[8].h=25;
	
	nentrada[9].numero=4;
	nentrada[9].nombre="9";
	nentrada[9].x=328;
	nentrada[9].y=290;
	nentrada[9].w=80;
	nentrada[9].h=25;
	
	nentrada[10].numero=4;
	nentrada[10].nombre="10";
	nentrada[10].x=328;
	nentrada[10].y=346;
	nentrada[10].w=80;
	nentrada[10].h=25;

	nentrada[11].numero=5;
	nentrada[11].nombre="00";
	nentrada[11].x=114;
	nentrada[11].y=135;
	nentrada[11].w=32;
	nentrada[11].h=25;
	
	nentrada[12].numero=-1;

		
}
